/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.rechargeplanconfig.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 充值方案配置编辑参数
 *
 * @author wulei
 * @date  2025/02/04 16:32
 **/
@Getter
@Setter
public class BizRechargePlanConfigEditParam {

    /** 充值方案配置id */
    @Schema(description = "充值方案配置id", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 充值金额底线 */
    @Schema(description = "充值金额底线")
    private BigDecimal rechargeAmount;

    /** 优惠券金额 */
    @Schema(description = "优惠券金额")
    private BigDecimal couponAmount;

    /** 优惠券数量 */
    @Schema(description = "优惠券数量")
    private Integer couponNum;

    /** 账户余额增加金额 */
    @Schema(description = "账户余额增加金额")
    private BigDecimal accountBalance;

    /** 返点比例（代金券） */
    @Schema(description = "返点比例（代金券）")
    private BigDecimal rebateRatio;

}
