/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.rechargeplanconfig.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.rechargeplanconfig.entity.BizRechargePlanConfig;
import vip.xiaonuo.biz.modular.rechargeplanconfig.param.BizRechargePlanConfigAddParam;
import vip.xiaonuo.biz.modular.rechargeplanconfig.param.BizRechargePlanConfigEditParam;
import vip.xiaonuo.biz.modular.rechargeplanconfig.param.BizRechargePlanConfigIdParam;
import vip.xiaonuo.biz.modular.rechargeplanconfig.param.BizRechargePlanConfigPageParam;

import java.util.List;

/**
 * 充值方案配置Service接口
 *
 * @author wulei
 * @date 2025/02/04 16:32
 **/
public interface BizRechargePlanConfigService extends IService<BizRechargePlanConfig> {

    /**
     * 获取充值方案配置分页
     *
     * @author wulei
     * @date 2025/02/04 16:32
     */
    Page<BizRechargePlanConfig> page(BizRechargePlanConfigPageParam bizRechargePlanConfigPageParam);

    /**
     * 添加充值方案配置
     *
     * @author wulei
     * @date 2025/02/04 16:32
     */
    void add(BizRechargePlanConfigAddParam bizRechargePlanConfigAddParam);

    /**
     * 编辑充值方案配置
     *
     * @author wulei
     * @date 2025/02/04 16:32
     */
    void edit(BizRechargePlanConfigEditParam bizRechargePlanConfigEditParam);

    /**
     * 删除充值方案配置
     *
     * @author wulei
     * @date 2025/02/04 16:32
     */
    void delete(List<BizRechargePlanConfigIdParam> bizRechargePlanConfigIdParamList);

    /**
     * 获取充值方案配置详情
     *
     * @author wulei
     * @date 2025/02/04 16:32
     */
    BizRechargePlanConfig detail(BizRechargePlanConfigIdParam bizRechargePlanConfigIdParam);

    /**
     * 获取充值方案配置详情
     *
     * @author wulei
     * @date 2025/02/04 16:32
     **/
    BizRechargePlanConfig queryEntity(String id);

    /**
     * 启用充值方案
     * @param bizRechargePlanConfigIdParam
     */
    void enableStatus(BizRechargePlanConfigIdParam bizRechargePlanConfigIdParam);

    /**
     * 停用充值方案
     * @param bizRechargePlanConfigIdParam
     */
    void disableStatus(BizRechargePlanConfigIdParam bizRechargePlanConfigIdParam);
}
